<div class="col-6 offset-1 my-5" @Fading>
  <h2>{{title}}</h2>
  <hr>
  <div class="card p-3">
    <form #registerForm="ngForm" (ngSubmit)="onSubmit(registerForm)">
      <div class="form-group">
        <label for="name">*Nombre</label>
        <input type="text" placeholder="Tu nombre" id="name" name="name" #name="ngModel" [(ngModel)]="user.name"
          class="form-control" pattern="[a-zA-ZÀ-ÿ][a-zA-ZÀ-ÿ ]+" required>
          <small class="invalid-feedback d-block" *ngIf="name.invalid && name.touched">El nombre no es válido</small>
      </div>
      <div class="form-group">
        <label for="surname">Apellidos</label>
        <input type="text" placeholder="Tus apellidos" id="surname" name="surname" #surname="ngModel"
          [(ngModel)]="user.surname" pattern="[a-zA-ZÀ-ÿ][a-zA-ZÀ-ÿ ]+" class="form-control">
          <small class="invalid-feedback d-block" *ngIf="surname.invalid && surname.touched">Los apellidos no son válidos</small>
      </div>
      <div class="form-group">
        <label for="email">*E-mail</label>
        <input type="email" placeholder="Tu E-Mail" id="email" name="email" #email="ngModel" [(ngModel)]="user.email"
          class="form-control"  pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
          <small class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El E-mail no es válido</small>
      </div>
      <div class="form-group">
        <label for="password">*Contraseña</label>
        <input type="password" placeholder="al menos 4 caracteres" id="password" name="password" #password="ngModel"
          [(ngModel)]="user.password" class="form-control" pattern=".{4,}" required>
          <small class="invalid-feedback d-block" *ngIf="password.invalid && password.touched">la contraseña debe tener 4 carácteres</small>
      </div>
      <div class="form-group text-center">
        <small>Los campos con * son obligatorios</small>
        <p></p>
        <button type="submit" class="btn btn-primary" [disabled]="registerForm.form.invalid">{{title}}</button>
      </div>
    </form>
  </div>
  <div class="alert" [ngClass]="status==true ? 'alert-success': 'alert-danger'" *ngIf="message">
    {{message}}
    <span *ngIf="status==true"><a routerLink="/login">Loguéate aquí </a></span>
  </div>
</div>